summaryrefslogtreecommitdiffstats
path: root/source.local/extra/source/apache-ant
diff options
context:
space:
mode:
Diffstat (limited to 'source.local/extra/source/apache-ant')
-rwxr-xr-xsource.local/extra/source/apache-ant/apache-ant.SlackBuild178
-rw-r--r--source.local/extra/source/apache-ant/slack-desc19
2 files changed, 197 insertions, 0 deletions
diff --git a/source.local/extra/source/apache-ant/apache-ant.SlackBuild b/source.local/extra/source/apache-ant/apache-ant.SlackBuild
new file mode 100755
index 0000000..35eb6f5
--- /dev/null
+++ b/source.local/extra/source/apache-ant/apache-ant.SlackBuild
@@ -0,0 +1,178 @@
+#!/bin/sh
+# $Id: apache-ant.SlackBuild,v 1.4 2011/05/13 10:23:45 root Exp root $
+# Copyright 2010, 2011 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: apache-ant
+# Descr: java-based build tool
+# URL: http://ant.apache.org/
+# Needs:
+# Changelog:
+# 1.8.1-1: 11/Oct/2010 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+# 1.8.2-1: 13/may/2011 by Eric Hameleers <alien@slackware.com>
+# * Update.
+#
+# Run 'sh apache-ant.SlackBuild' to build a Slackware package.
+# The package (.tgz) and .txt file as well as build logs are created in /tmp .
+# Install it using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# Set initial variables:
+
+PRGNAM=apache-ant
+VERSION=${VERSION:-1.8.2}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-alien}
+DOCS="INSTALL KEYS NOTICE README WHATSNEW docs/*"
+
+# Use the standardized ANT_HOME location:
+ANT_HOME=/usr/share/ant
+
+# Where do we look for sources?
+SRCDIR=$(cd $(dirname $0); pwd)
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SOURCE="$SRCDIR/${PRGNAM}-${VERSION}-bin.tar.bz2"
+SRCURL="http://www.apache-mirror.com/ant/binaries/${PRGNAM}-${VERSION}-bin.tar.bz2"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Save old umask and set to 0022:
+_UMASK_=$(umask)
+umask 0022
+
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
+ # remove old log files
+
+# Source file availability:
+if ! [ -f ${SOURCE} ]; then
+ if ! [ "x${SRCURL}" == "x" ]; then
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ echo "Will download file to $(dirname $SOURCE)"
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
+ mv -f "${SOURCE}" "${SOURCE}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
+ exit 1
+ fi
+fi
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+cd $TMP/tmp-$PRGNAM
+echo "Extracting the source archive(s) for $PRGNAM..."
+tar -xvf ${SOURCE}
+cd ${PRGNAM}-${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a+X-s .
+
+# Copy the binaries into place:
+mkdir -p $PKG/$ANT_HOME
+cp -a bin lib etc $PKG/$ANT_HOME/
+
+# Make ant jars available in the java environment:
+mkdir -p $PKG/usr/share/java
+for FILE in $PKG/$ANT_HOME/lib/*.jar ; do
+ ln -sf $ANT_HOME/lib/$(basename $FILE) $PKG/usr/share/java/$(basename $FILE)
+done
+
+# Add profile scripts to set ANT_HOME in the user's environment:
+mkdir -p $PKG/etc/profile.d
+cat <<EOT >$PKG/etc/profile.d/$PRGNAM.csh
+#!/bin/csh
+setenv ANT_HOME ${ANT_HOME}
+echo \$PATH | grep -q \$ANT_HOME
+if (\$status != 0) then
+ setenv PATH \${PATH}:\${ANT_HOME}/bin
+endif
+EOT
+cat <<EOT >$PKG/etc/profile.d/$PRGNAM.sh
+#!/bin/sh
+export ANT_HOME=${ANT_HOME}
+if ! echo \$PATH | grep -q \$ANT_HOME ; then
+ export PATH="\${PATH}:\${ANT_HOME}/bin"
+fi
+EOT
+chmod 0755 $PKG/etc/profile.d/*
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz}.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+
+# Restore the original umask:
+umask ${_UMASK_}
+
diff --git a/source.local/extra/source/apache-ant/slack-desc b/source.local/extra/source/apache-ant/slack-desc
new file mode 100644
index 0000000..4264b12
--- /dev/null
+++ b/source.local/extra/source/apache-ant/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+apache-ant: Apache Ant (Java-based build tool analogous to Make)
+apache-ant:
+apache-ant: Ant is a platform-independent build tool for java.
+apache-ant:
+apache-ant: Ant is extended using Java classes. The configuration files are
+apache-ant: XML- based, calling out a target tree where tasks get executed.
+apache-ant: Each task is run by an object that implements a Task interface.
+apache-ant:
+apache-ant:
+apache-ant: Homepage: http://ant.apache.org/
+apache-ant: